Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.www
Class SlaveServerJobStatus

    java.lang.Object
      org.pentaho.di.www.SlaveServerJobStatus

    public class SlaveServerJobStatus

extends Object

Field Summary
`static String` | `XML_TAG`

Constructor Summary
`SlaveServerJobStatus()`
`SlaveServerJobStatus(Node jobStatusNode)`
`SlaveServerJobStatus(String transName, String statusDescription)`

Method Summary
`static SlaveServerJobStatus` | `fromXML(String xml)`
`String` | `getErrorDescription()`
`String` | `getJobName()`
`String` | `getLoggingString()`
`org.pentaho.di.core.Result` | `getResult()`
`String` | `getStatusDescription()`
`String` | `getXML()`
`boolean` | `isRunning()`
`boolean` | `isWaiting()`
`void` | `setErrorDescription(String errorDescription)`
`void` | `setJobName(String jobName)`
`void` | `setLoggingString(String loggingString)`
`void` | `setResult(org.pentaho.di.core.Result result)`
`void` | `setStatusDescription(String statusDescription)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### XML_TAG

    public static final String XML_TAG

See Also:
  Constant Field Values

Constructor Detail

### SlaveServerJobStatus

    public SlaveServerJobStatus()

### SlaveServerJobStatus

    public SlaveServerJobStatus(String transName,
                                String statusDescription)

Parameters:
  `transName` -
  `statusDescription` -

### SlaveServerJobStatus

    public SlaveServerJobStatus(Node jobStatusNode)

Method Detail

### getXML

    public String getXML()

### fromXML

    public static SlaveServerJobStatus fromXML(String xml)
                                        throws org.pentaho.di.core.exception.KettleXMLException

  Throws:
    `org.pentaho.di.core.exception.KettleXMLException`

### getStatusDescription

    public String getStatusDescription()

  Returns:
    the statusDescription

### setStatusDescription

    public void setStatusDescription(String statusDescription)

  Parameters:
    `statusDescription` - the statusDescription to set

### getJobName

    public String getJobName()

  Returns:
    the job name

### setJobName

    public void setJobName(String jobName)

  Parameters:
    `jobName` - the job name to set

### getErrorDescription

    public String getErrorDescription()

  Returns:
    the errorDescription

### setErrorDescription

    public void setErrorDescription(String errorDescription)

  Parameters:
    `errorDescription` - the errorDescription to set

### getLoggingString

    public String getLoggingString()

  Returns:
    the loggingString

### setLoggingString

    public void setLoggingString(String loggingString)

  Parameters:
    `loggingString` - the loggingString to set

### isRunning

    public boolean isRunning()

### isWaiting

    public boolean isWaiting()

### getResult

    public org.pentaho.di.core.Result getResult()

  Returns:
    the result

### setResult

    public void setResult(org.pentaho.di.core.Result result)

  Parameters:
    `result` - the result to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD